ru.bitel.bgbilling.kernel.contract.limit.common.bean

## Enum ContractLimitAvtoStatus

- java.lang.Object
- - java.lang.Enum<ContractLimitAvtoStatus>
  - - ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitAvtoStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContractLimitAvtoStatus>

      public enum ContractLimitAvtoStatus
      extends java.lang.Enum<ContractLimitAvtoStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `CANCEL`
    `OFF`
    `ON`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `ContractLimitAvtoStatus` | `getStatusByCode(java.lang.String code)`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `toString()`
    `static ContractLimitAvtoStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContractLimitAvtoStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ContractLimitAvtoStatus ALL

    - #### ON

          public static final ContractLimitAvtoStatus ON

    - #### OFF

          public static final ContractLimitAvtoStatus OFF

    - #### CANCEL

          public static final ContractLimitAvtoStatus CANCEL

  - ### Method Detail

    - #### values

          public static ContractLimitAvtoStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractLimitAvtoStatus c : ContractLimitAvtoStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractLimitAvtoStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

    - #### getTitle

          public java.lang.String getTitle()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ContractLimitAvtoStatus>`

    - #### getStatusByCode

          public ContractLimitAvtoStatus getStatusByCode(java.lang.String code)